Subject: Re: Service change method query

From: [email-masked]
Date: Mon, 14 May 2001 17:12:40 +0530

Hi,
I think the meaning of handoff is that MGC is not able to handle the MG who is
either trying to register or with which MGC was communicating with and thus MGC
is re-directing the gateway to a new one. Now whether it happens at initial
phase or at subsequent stages during the life-cycle of the association between
the two, method should always be handoff. The "Service Change Reason" should be
able to convey whether it was a "Cold Boot" or "Warm Boot" or "Service Restored"
or anything else.

In your case, what shall be the Service Change Reason while sending the command
to the re-directed MGC with proposed method as "Restart"? Would it be "MGC
directed change" or the same as that sent in the Service Change request to the
first MGC?
If it is not "MGC directed change", the new MGC will not come to know about the
re-direction at all. This seems to be inappropriate as MG is a Slave entity and
everything happening at MG should be known to MGC.

I would say either "method" or "reason" should be present  in the re-directed
request to convey the information that MG was re-directed (since MGC may take
some action based on this whether the request is re-directed or not). And as per
my understanding, it is the "method" field which should convey this.

And the "reason" field should convey the type of recovery whether it was cold
boot or warm boot etc if it happens at start-up. Moreover at subsequent stages,
the reason should be "MGC Impending Failure".

Please clarify.
Regards,
Prashant Jain

Chuong Nguyen <[email-masked]> on 05/11/2001 11:08:31 PM

To:   [email-masked]
cc:    (bcc: Prashant Jain/HSS)

Subject:  Re: Service change method query

I am agreeing w/Madhu that for initial registration it should be Restart
if MGC redirects.

I was just expanding on Handoff and how new MGC should deals w/Restart
vs Handoff
which to new MGC is like a new registration and not a re-registration.

Tom-PT Taylor wrote:

> But Madhu makes the valid point that this is an initial registration
> attempt by the MG which has been redirected by the first MGC it
> tried.  The MG doesn't necessarily have any calls in progress.
>
>      -----Original Message-----
>      From: Chuong Nguyen [mailto:[email-masked]]
>      Sent: Friday, May 11, 2001 11:57 AM
>      To: [email-masked]
>      Subject: Re: Service change method query
>
>
>      There is another difference why Handoff should be used
>      instead of Restart by the MG
>      when MG tries to connect to the new MGC.
>
>      I think the intend was to let the new MGC knows that MG
>      stills has calls in contexts.
>      Therefore either new MGC does an Audit towards MG to rebuild
>      all necessary
>      info about MG or use either SIP, SIP-T, BICC, gods know what
>      to get whatever
>      info it needs from old MGC before it goes out of service.
>
>      Chuong
>
>
>      Madhu Babu Brahmanapally wrote:
>
>     > HI Vivek,
>     >
>     > In page 57, First paragraph, its mentioned that the MGC
>     > may return a
>     > ServiceChangeMgcId describing the MGC to be contacted. It
>     > is also mentioned
>     > that MG will "REISSUE" the service change command to the
>     > new MGC specified.
>     > Hence, the service Change method to be used should be
>     > "restart" only. This
>     > shouldn't be treated as a handoff initiated by the MGC.
>     > The MG is just
>     > retrying the same registration with the new MGC.
>     >
>     > Handoff is used by MGC when the it is going out of
>     > service. When the MG
>     > attempts to establish a new association with the newly
>     > specified MGC it uses
>     > the Handoff method.
>     >
>     > Regards
>     > Madhubabu
>     >
>     > -----Original Message-----
>     > From: [email-masked]
>     > [mailto:[email-masked]]On Behalf Of
>     > [email-masked]
>     > Sent: Tuesday, April 24, 2001 8:23 AM
>     > To: [email-masked]
>     > Subject: Service change method query
>     >
>     > Hi All
>     >
>     > In the first service change request from MG, if the MGC
>     > replies with the
>     > MGCidtotry, then with what service change method and
>     > reason does MG send the
>     > request to new MGC?
>     >
>     > There could be two possibilities:
>     > 1. Since this is same as a Handoff scenario, MG can use
>     > Handoff method.
>     > 2. Since it was the first registration request, MG can use
>     > Restart method.
>     >
>     > Kindly clearify this.
>     >
>     > Regards
>     > Vivek Bansal
>     > Hughes Software System
>
>      --
>        Alcatel USA, Inc             Internet: [email-masked]
>        1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
>        **** The opinions expressed are not those of Alcatel USA, Inc ****
>
>
>
--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: Chuong Nguyen <[email-masked]>
Date: Mon, 14 May 2001 09:11:42 -0500

First I think Section 11.2 Cold Start already covers what Method should be used
even for
redirection during registration - Restart.

Secondly, Section 11.5 Failure of MGC already covers HandOff.
   In partial failure, or manual maintenance reasons, an MGC may wish to
   direct its controlled MGs to use a different MGC.  To do so, it sends
   a ServiceChange method to the MG with a "HandOff" method, and its
   designated replacement in ServiceChangeMgcId. The MG should send a
   ServiceChange message with a "Handoff" method and a "MGC directed
   change" reason to the designated MGC.

"Manual maintenance" is not the same as Registration redirection which is done
automatically w/o operator's intervention.

To me "Manual maintenance" is the MGC operator moving the MG to another MGC
for whatever reason the operator wants to do it.

See additonal comments below:
Chuong

> directed change" or the same as that sent in the Service Change request to the

<cnn>  According to 11.2 and if it was a Cold Start then Cold Boot.

> everything happening at MG should be known to MGC.

<cnn> The new MGC has to be provisioned to handle MG in the first place before it
              accepts the MG registration.  Just because an MG sends a
ServiceChange w/
             "MGC directed change", it does not mean that the MGC has to accept
that MG.
             It is still up to the MGC to accept the MG registration.
             Now what does the MGC use to determine whether to accept the MG.
             It is definitely not just based on "MGC directed change" Reason.
             If I am an operator of the MGCs, I would want a little more control
over which MG
             registration to accept by either some provisioning and coordination
between MGCs
             before the HandOff even occurrs.

>   ------------------------------------------------------------------------
>                   Name: att1.htm
>    att1.htm       Type: Hypertext Markup Language (text/html)
>               Encoding: base64
>            Description: Internet HTML